/*
 * PictPostPersonal システム動作用 CSS定義
 *
 * 本CSSを編集するとPPPが正常に動作しなくなる可能性があります。
 *
 */
:root {
    --system-header-back-color: #555;
    --system-header-font-color: #ccc;
    --system-header-link-color: #ddd;
    --system-header-link-color-hover: #fff;

    --system-header-back-color-light: #fff;
    --system-header-font-color-light: #555;
    --system-header-link-color-light: #555;
    --system-header-link-color-hover: #999;
}

* {
    box-sizing: border-box;
}

/* ボタン */
.button {
    border: none;
    border-radius: 20px;
    font-size: 1.2em;
    min-width: 30%;
    height: 2em;

    background-color: var(--theme-color);
    color: var(--button-text-color);

    font-weight: 800;

    padding: 0 1em 0 1em;
    word-wrap: none;

    cursor: pointer;
}

.button:hover {
    background-color: var(--theme-d-color);
}

.button:active {
    background-color: var(--theme-l-color);
    border: 1px solid var(--theme-d-color);
}

.button_warn {
    background-color: var(--warn-color);
}

.button_warn:hover {
    background-color: var(--warn-d-color)
}

.button_warn:active {
    background-color: var(--warn-l-color);
    border: 1px solid var(--warn-d-color);
}

.button_normal {
    background-color: var(--normal-color);
}

.button_normal:hover {
    background-color: var(--normal-d-color);
}

.button_normal:active {
    background-color: var(--normal-l-color);
    border: 1px solid var(--normal-d-color);
}

.button_disable {
    cursor: not-allowed;
    background-color: #999;
    color: #bbb;
}

.button_disable:hover {
    background-color: #999;
    color: #bbb;
}

.button_disable:active {
    background-color: #999;
    color: #bbb;
}

/* フォーム系 */
.input[type="checkbox"] {
    margin-right: 0.5em;
    accent-color: var(--force-d-color);
}

select.flat_input {
    border: 1px solid #999;
    color: #555;
    padding: 0 0.5em 0 0.5em;
    font-size: 0.9em;
    -moz-appearance: menulist-button;
    -webkit-appearance: menulist-button;
    appearance: menulist-button;
}

.flat_input {
    display: inline-block;

    -webkit-appearance: none;
    appearance: none;

    border: 1px solid #999;
    background-color: #fff;
    border-radius: 3px;
    outline: none;

    font-size: 80%;
    padding: 0.3em;
    padding-right: 1em;
    padding-left: 1em;

    height: 2em;
}

.flat_textarea {
    width: 100%;
    resize: vertical;
    height: 20em;
    font-size: 90%;
    background-color: #fff;
    border: 1px solid #999;
    padding: 0.5em;
}


.hide {
    display: none;
}

/* 共通ヘッダー */
.system_header {
    display: flex;
    min-height: 2.5em;
    padding: 0.5em;
    background-color: var(--system-header-back-color);
    color: var(--system-header-font-color);
    width: 100%;
}

.system_header a {
    color: var(--system-header-link-color);
    text-decoration: none;
}

.system_header a:hover {
    color: var(--system-header-link-color-hover);
}


.system_header_light {
    background-color: var(--system-header-back-color-light);
    color: var(--system-header-font-color-dark);
}

.system_header_light a {
    color: var(--system-header-link-color-dark);
    text-decoration: none;
}

.system_header_light a:hover {
    color: var(--system-header-link-color-hover-dark);
}

.header_link_area {
    flex-grow: 1;
}

.header_option_link_area {
    flex-grow: 1;
    text-align: right;
}

.header_option_link_area a {
    margin-left: 1em;
}

#notification_link {
    margin-left: 1em;
    cursor: pointer;
}

/* 管理用ヘッダー */

.admin_header {
    display: flex;
    flex-direction: row;
    min-height: 2.5em;
    padding: 0.5em;
    background-color: #555;
    color: #fff;
    width: 100%;
}

.admin_header a {
    color: #fff;
}

.header_create_link {
    padding-right: 1em;
}

/* 続きを読むボタン */
.more_button {
    margin: 0.5em 0 0.5em 0;
    padding: 0.5em 1em 0.5em 1em;
    border-radius: 5px;

    font-size: 0.9em;

    background-color: var(--normal-color);
    color: var(--button-text-color);
}

.more_button_active {
    background-color: var(--theme-color);
    color: var(--button-text-color);
}

/* 小説表示用定義 */
.novel_body_outer {
    min-height: 80vh;
    width: 100%;
    padding-top: 1em;
    padding-bottom: 1em;
}

.novel_body_in {
    line-height: 200%;
}

.vertical_text {
    -ms-writing-mode: tb-rl;
    writing-mode: vertical-rl;
    width: 95%;
    text-orientation: upright;
    overflow: auto;
    line-height: 2em;
    margin: 0 auto 0 auto;
}

.horizontal_text {
    max-width: 600px;
    margin: 0 auto 0 auto;
}

.text_combine {
    -webkit-text-combine: horizontal;
    -ms-text-combine-horizontal: all;
    text-combine-upright: all;
}

.vt_controler_ctl {
    cursor: pointer;
    display: inline-block;
    margin-bottom: 0.5em;
    color: #555;
}

.vt_cover {
    z-index: 1;
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    color: #fff;
    opacity: 0.9;
}

.vt_controler {
    z-index: 99;
    position: absolute;
    padding: 0 1em 1em 1em;
    border: 1px solid #ccc;
    background-color: #fff;
    box-shadow: 10px 5px 5px rgba(50, 50, 50, 0.1);
}

.vt_controler span {
    display: inline-block;
    margin-top: 1em;
}

.vt_controler_active {
    font-weight: 800;
}

.vt_title_1 {
    margin-right: 0.5em;
    width: 7em;
}

.vt_title_2 {
    margin-right: 0.5em;
    width: 7em;
}

.vt_title_3 {
    margin-right: 0.5em;
    width: 7em;
}

.vt_controler_1 {
    cursor: pointer;
    border-left: 1px solid #999;
    border-top: 1px solid #999;
    border-bottom: 1px solid #999;
    padding: 0.5em;
    border-radius: 10px 0 0 10px;
}

.vt_controler_2 {
    cursor: pointer;
    border-left: 1px solid #999;
    border-top: 1px solid #999;
    border-bottom: 1px solid #999;
    padding: 0.5em;
}

.vt_controler_3 {
    cursor: pointer;
    border-left: 1px solid #999;
    border-right: 1px solid #999;
    border-top: 1px solid #999;
    border-bottom: 1px solid #999;
    padding: 0.5em;
    border-radius: 0 10px 10px 0;
}

.vt_controler_v {
    cursor: pointer;
    border-left: 1px solid #999;
    border-top: 1px solid #999;
    border-bottom: 1px solid #999;
    padding: 0.5em;
    border-radius: 10px 0 0 10px;
}

.vt_controler_h {
    cursor: pointer;
    border-left: 1px solid #999;
    border-right: 1px solid #999;
    border-top: 1px solid #999;
    border-bottom: 1px solid #999;
    padding: 0.5em;
    border-radius: 0 10px 10px 0;
}

.vt_controler_fss {
    cursor: pointer;
    border-left: 1px solid #999;
    border-top: 1px solid #999;
    border-bottom: 1px solid #999;
    padding: 0.5em;
    border-radius: 10px 0 0 10px;
}

.vt_controler_fs {
    cursor: pointer;
    border-left: 1px solid #999;
    border-right: 1px solid #999;
    border-top: 1px solid #999;
    border-bottom: 1px solid #999;
    padding: 0.5em;
    border-radius: 0 10px 10px 0;
}

/* {alert}用スタイル定義 */
.alert {
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background: rgba(255, 255, 255, 0.8);
    backdrop-filter: blur(30px);
    display: flex;
    align-items: center;
    justify-content: center;
}

.alert_control {
    margin: 2em auto 0 auto;
    text-align: center;
}